devres_open_group
Prev | Device Resource Management | Next

## Name

devres_open_group — Open a new devres group

## Synopsis

`void * devres_open_group (` | struct device * | dev,
| void * | id,
| gfp_t | gfp`)`;

## Arguments

`dev`

  Device to open devres group for

`id`

  Separator ID

`gfp`

  Allocation flags

## Description

Open a new devres group for `dev` with `id`. For `id`, using a pointer to an object which won't be used for another group is recommended. If `id` is NULL, address-wise unique ID is created.

## RETURNS

ID of the new group, NULL on failure.

Prev | Up | Next
devres_destroy | Home | devres_close_group